GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALGridDataMetricsOptions Struct Reference

Data metrics method control options. More...

`#include <gdal_alg.h>`

## Public Attributes
double | dfRadius1
double | dfRadius2
double | dfAngle
GUInt32 | nMinPoints
double | dfNoDataValue

## Detailed Description

Data metrics method control options.

## Member Data Documentation

double GDALGridDataMetricsOptions::dfAngle

Angle of ellipse rotation in degrees.

Ellipse rotated counter clockwise.

double GDALGridDataMetricsOptions::dfNoDataValue

No data marker to fill empty points.

double GDALGridDataMetricsOptions::dfRadius1

The first radius (X axis if rotation angle is 0) of search ellipse.

double GDALGridDataMetricsOptions::dfRadius2

The second radius (Y axis if rotation angle is 0) of search ellipse.

GUInt32 GDALGridDataMetricsOptions::nMinPoints

Minimum number of data points to average.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

The documentation for this struct was generated from the following file:

- gdal_alg.h

Generated for GDAL by 1.8.9.1.